/*
 * Class WEL_CHARACTER_RANGE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_817 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_817 [] = {0xFF01,1551,816,0xFFFF};
static const EIF_TYPE_INDEX egt_2_817 [] = {0xFF01,816,0xFFFF};
static const EIF_TYPE_INDEX egt_3_817 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_817 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_817 [] = {0xFF01,816,0xFFFF};
static const EIF_TYPE_INDEX egt_6_817 [] = {0xFF01,816,0xFFFF};
static const EIF_TYPE_INDEX egt_7_817 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_817 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_817 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_817 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_817 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_817 [] = {0xFF01,816,0xFFFF};


static const struct desc_info desc_817[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_817), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_817), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_817), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_817), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_817), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_817), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_817), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_817), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_817), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_817), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_817), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_817), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0661 /*816*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_817), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19044, 0xFFFFFFFF},
};
void Init817(void)
{
	IDSC(desc_817, 0, 816);
	IDSC(desc_817 + 1, 1, 816);
	IDSC(desc_817 + 32, 791, 816);
	IDSC(desc_817 + 34, 1359, 816);
	IDSC(desc_817 + 44, 1308, 816);
	IDSC(desc_817 + 54, 277, 816);
}


#ifdef __cplusplus
}
#endif
